WordPress.org

Forums

Why is WordPress automatically upgrading sites to the latest version? (10 posts)

  1. mleisse
    Member
    Posted 1 year ago #

    The upgrades are killing plugins that I use on my site. It should be MY call as to whether or not I go to the next version of WordPress. I need to make sure that EVERYTHING on my site is compatible with the new version before upgrading. And if something is not compatible, I need to allow the developer time to fix it. I should be able to disable automatic upgrades. This is poor customer service.

  2. esmi
    Forum Moderator
    Posted 1 year ago #

    It should be MY call as to whether or not I go to the next version of WordPress

    And when it's a major version upgrade, you will. It's just minor security and bug updates that are automatic.

  3. looking4trth
    Member
    Posted 1 year ago #

    NOT! I'm not buying that! Every time WP does one of their automatic updates something stops working on my site. You didn't answer the question for mleisse so I'll ask it again:

    "The upgrades are killing plugins that I use on my site. It should be MY call as to whether or not I go to the next version of WordPress. I need to make sure that EVERYTHING on my site is compatible with the new version before upgrading. And if something is not compatible, I need to allow the developer time to fix it. I should be able to disable automatic upgrades. This is poor customer service." (posted by member mleisse)

    I don't see where you offer to "fix" the mess your updates cause. Most of my media library is GONE; my stat counter plugin is GONE; and I can't upload images or any other media. My site worked fine before WP updated it! I don't see in your TOS where I agreed to allow this kind of ****.

    Why should I have to go looking for ways to fix YOUR mess??
    I'm considering looking for a WP replacement and I'm posting a blog about this "We'll screw up your blog if we want to" attitude.

  4. Andrew
    Forum moderator & snail smusher
    Posted 1 year ago #

    Why can't you disable the automatic upgrades?

  5. The upgrades are killing plugins that I use on my site.

    I'm sorry you are having a hard time of it. Which plugins? A minor point release such as 3.9 to 3.9.1 shouldn't break anything.

    It should be MY call as to whether or not I go to the next version of WordPress.

    By default minor upgrades are automatic. The minor point release upgrade has been automatic for a while now and WordPress will NOT automatically upgrade a major release such as 3.8.x to 3.9

    It is also something that you can easily disable or control.

    http://codex.wordpress.org/Configuring_Automatic_Background_Updates

    Give this a plugin a try. I've not tried this plugin but I do trust the authors.

    http://wordpress.org/plugins/update-control/

  6. mdidesign
    Member
    Posted 1 year ago #

    In my case the latest 3.9.1 update has put a <p></p> and a
    at the bottom of EVERY post. So there is a large white space at the bottom of every post now - how can this be fixed? In 3.9 and earlier this problem did not occour.

  7. esmi
    Forum Moderator
    Posted 1 year ago #

    @mdidesign: Please post your own topic in the Troubleshooting forum.

  8. ywait4ever
    Member
    Posted 1 year ago #

    I have several sites that also now have an issue because of the automatic upgrade to 3.9.1. I have a script for a music store that won't finish loading, but only in Internet Explorer. Here's one of the sites: http://songs4acause.org/bostonstrong/.

    I agree that the user should be able to approve the upgrade. There should also be a link to click that automatically reverts back to the previous version so we don't have to do so much manual file manipulation and impact our website's availability. This is not professional grade policy.

  9. looking4trth
    Member
    Posted 1 year ago #

    Latest from your "fixing and upgrades:" I now get a message for my Signature Watermark plugin that says the file PHP.ini is in safe mode!!!
    You aren't offering any solutions except experimenting with a site you're not even sure can be trusted.

  10. esmi
    Forum Moderator
    Posted 1 year ago #

    @looking4trth: Your issue has nothing to do with core upgrades. Please try posting in your plugin's dedicated sub-forum.

Topic Closed

This topic has been closed to new replies.

About this Topic